
from string import strip

class clustalw_parser: 

	def __init__(self, filename):
		self.records = {}
		self.parse(filename)

	def parse(self, filename): 
		input = open(filename, 'r')
		header = input.readline()
		for line in input.readlines(): 
			label = strip(line[0 :30])
			seq   = strip(line[31:  ])
			if not label: continue
			if self.records.has_key(label): self.records[label].append(seq)
			else                          : self.records[label] = [seq]
		input.close()
	
	def get_record(self, label): 	return "%s\n%s\n" %(label, "".join(self.records[label]))

	def get_records(self): 
		for i in self.records.keys(): print self.get_record(i)
		


if __name__ == '__main__': 

	result = clustalw_parser('C1004.4.msf.aln').get_records()

